<div class="modal cgu-modal" [ngClass]="{'is-active': cguModalIsOpened }">
  <div class="modal-background"></div>
  <div class="modal-card" #cguAnchor>
    <header class="modal-card-head">
      <p class="has-text-weight-bold" i18n="@@cgu.modal.title">Terms of use</p>
      <button class="modal-close is-large" aria-label="close" (click)="closeCguModal()"></button>
    </header>
    <section class="modal-card-body" (scroll)="modalBodyScrolled($event)">
      <p class="warning-message" i18n="@@cgu.modal.warningMessage">The acceptance of the terms of use is necessary in
        order to access the resources of the datasets</p>

      <div class="ghost-style" [innerHTML]="safePageContent"></div>
    </section>
    <footer class="modal-card-foot has-text-right">
      <p [ngClass]="{'shakeAnimation' : shakeAnimation }" i18n="@@cgu.modal.acceptation" class="acceptation">You have to
        read the entire Terms of Use before you can accept it.</p>
      <div class="buttons">
        <p id="label-accept-btn" class="sr-only" i18n="@@cgu.modal.acceptComplete">Accept terms of use</p>
        <p id="label-refuse-btn" class="sr-only" i18n="@@cgu.modal.refuseComplete">Refuse terms of use</p>
        <button class="button btn-red-text" (click)="closeCguModal()" i18n="@@cgu.modal.refuse"
                [attr.aria-labelledby]="'label-refuse-btn'">Refuse</button>
        <button class="button button-gl" i18n="@@cgu.modal.accept" (click)="acceptCgu()"
                [ngClass]="{'orange-button' : !isCguScrolledEntirely }" [attr.aria-labelledby]="'label-accept-btn'">Accept</button>
      </div>
    </footer>
  </div>
</div>
